> ## Documentation Index
> Fetch the complete documentation index at: https://docs.opal.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get nested groups

> Gets the list of groups that the group gives access to.



## OpenAPI

````yaml https://app.opal.dev/openapi.yaml get /groups/{group_id}/containing-groups
openapi: 3.1.0
info:
  contact:
    email: hello@opal.dev
    name: Opal Team
    url: https://www.opal.dev/
  description: >-
    The Opal API is a RESTful API that allows you to interact with the Opal
    Security platform programmatically.
  title: Opal API
  version: '1.0'
servers:
  - description: Production
    url: https://api.opal.dev/v1
security: []
tags:
  - name: access-rules
    description: Operations related to access rules
  - name: apps
    description: Operations related to apps
  - name: bundles
    description: Operations related to bundles
  - name: configuration-templates
    description: Operations related to configuration templates
  - name: delegations
    description: Operations related to request reviewer delegations
  - name: events
    description: Operations related to events
  - name: groups
    description: Operations related to groups
  - name: group-bindings
    description: Operations related to group bindings
  - name: idp-group-mappings
    description: Operations related to IDP group mappings
  - name: message-channels
    description: Operations related to message channels
  - name: non-human-identities
    description: Operations related to non-human identities
  - name: on-call-schedules
    description: Operations related to on-call schedules
  - name: owners
    description: Operations related to owners
  - name: requests
    description: Operations related to requests
  - name: resources
    description: Operations related to resources
  - name: sessions
    description: Operations related to sessions
  - name: tags
    description: Operations related to tags
  - name: tokens
    description: Operations related to API tokens
  - name: uars
    description: Operations related to UARs
  - name: users
    description: Operations related to users
paths:
  /groups/{group_id}/containing-groups:
    get:
      tags:
        - groups
      summary: Get nested groups
      description: Gets the list of groups that the group gives access to.
      operationId: get_group_containing_groups
      parameters:
        - description: The ID of the group.
          example: 4baf8423-db0a-4037-a4cf-f79c60cb67a5
          explode: false
          in: path
          name: group_id
          required: true
          schema:
            type: string
            format: uuid
          style: simple
        - description: The access level's remote ID to filter by.
          example: arn:aws:iam::590304332660:role/AdministratorAccess
          explode: true
          in: query
          name: access_level_remote_id
          required: false
          schema:
            type: string
          style: form
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GroupContainingGroupList'
          description: The groups that the group gives access to.
      security:
        - BearerAuth: []
components:
  schemas:
    GroupContainingGroupList:
      example:
        containing_groups:
          - containing_group_id: 7870617d-e72a-47f5-a84c-693817ab4567
          - containing_group_id: 50333e67-73ce-47ab-b049-d8abcd45f7a1
      properties:
        containing_groups:
          items:
            $ref: '#/components/schemas/GroupContainingGroup'
          type: array
      type: object
      required:
        - containing_groups
    GroupContainingGroup:
      description: >-
        # GroupContainingGroup Object

        ### Description

        The `GroupContainingGroup` object is used to represent a relationship
        between a group and a group.
      example:
        containing_group_id: f454d283-ca87-4a8a-bdbb-df212eca5353
      properties:
        containing_group_id:
          description: The groupID of the containing group.
          example: f454d283-ca87-4a8a-bdbb-df212eca5353
          format: uuid
          type: string
        duration_minutes:
          description: >-
            The updated duration for which the group can be accessed (in
            minutes). Use 0 for indefinite, or a negative value to revoke
            access.
          type: integer
          maximum: 525960
          example: 120
        access_level_remote_id:
          description: The updated remote ID of the access level granted to this group.
          type: string
          example: arn:aws:iam::590304332660:role/ReadOnlyAccess
      required:
        - containing_group_id
      type: object
  securitySchemes:
    BearerAuth:
      scheme: bearer
      type: http

````